fountain(1)

NAME
fountain - take a single input stream and write it to multiple output streams.

SYNOPSIS
fountain [-b buffer size -h -v -V] command [command ...]

DESCRIPTION
fountain reads a single input stream, from the standard input stream, and writes (pipes) it to multiple commands. It will also write the data directly to the standard output stream if the -s option is specified.

Commands (including any arguments) are specified on the command line (and must be quoted to protect them from the shell if they contain whitespace). Each command will be passed fountain's standard input stream on its standard input stream.

To improve overall performance, the input stream is written using non-blocking I/O to each command. The size of the buffer used to store the input stream may be specfied with the -b option.

OPTIONS

-b buffer size
    The size of the buffer (in bytes) used to transfer the input stream. It defaults to 8192 bytes.

-h  Output help.

-s  In addition to writing to the commands given by -c, act as a filter, copying from standard input to standard output.

-v  Be a bit more verbose.

-V  Output version information.

BUGS
Non-blocking I/O only works for buffers larger than 10240 bytes under IRIX (when last tried, which was in 1999). If buffer is less than 10240, select will return before write is ready. fountain will still work, it will just waste time calling select and write multiple times until write is actually ready.

COPYRIGHT & LICENSE
Copyright 2006 Smithsonian Astrophysical Observatory

This software is released under the GNU General Public License. You may find a copy at

          http://www.fsf.org/copyleft/gpl.html

AUTHOR
D. Jerius

M. Tibbetts